<template>
  <div>
    <el-dialog
      :title="this.title"
      width="60%"
      top="8vh"
      :before-close="handleClose"
      :visible.sync="showFormDias"
    >
      <MothEchart ref="MothContent"></MothEchart>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="handleClose">退 出</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>
import * as echarts from 'echarts'
import performanceAnalysis from '@/api/device/performanceAnalysis.js'
import MothEchart from './MothEchart.vue'
var MothChart
export default {
  name: 'yearStatistics',
  components: {
    MothEchart,
  },
  data() {
    return {
      showFormDias: false,
      title: '设备状态详情统计',
      mothEchart: null,
      dateValue: '',
      typeList: [],
      countList: [],
    }
  },
  props: {
    visible: {
      type: Boolean,
      default: false,
    },
  },
  watch: {
    visible(val) {
      this.showFormDias = val
    },
    showFormDias(val) {
      this.$emit('update:visible', val)
    },
  },
  created() {},
  mounted() {
    // this.mothEcharts()
  },
  methods: {
    handleOpen() {
      this.showFormDias = true
    },
    handleClose() {
      this.showFormDias = false
      this.dateValue = ''
      this.typeList = []
      this.countList = []
    },
    getData(datetime, Status) {
      let parmas = {
        dateType: '2',
        time: datetime,
        deviceStatus: Status,
      }
      performanceAnalysis.getStatisticsSub(parmas, (res) => {
        if (res.state) {
          console.log(res.value)
          res.value.forEach((res) => {
            this.typeList.push(res.type)
            this.countList.push(res.count)
          })
          this.$nextTick(() => {
            this.$refs.MothContent.mothEcharts(this.typeList, this.countList)
          })
        }
      })
    },
  },
}
</script>
<style lang="scss" scoped>
</style>